FORUMS
Remove All Ads from XDA
Honor 7x
Win an Honor 7X!

[APP] [UPDATED 9/27/2011]V1.9 Working App to Backup Windows Phone 7 via ZUNE ANY TIME

1,278 posts
Thanks Meter: 275
 
By hx4700 Killer, Senior Member on 29th May 2011, 11:43 PM
Post Reply Email Thread
19th October 2011, 07:11 AM |#641  
Junior Member
Flag Berlin
Thanks Meter: 0
 
More
An PKS isn´t a complete Backup.
Please send me WP7 Support Tools 4.7 I needed ,it´s important.
 
 
19th October 2011, 05:12 PM |#642  
hx4700 Killer's Avatar
OP Senior Member
Texas
Thanks Meter: 275
 
More
Shhh

Zune 4.7 x64: http://www.filedropper.com/zunesetuppkg
Support Tools 4.7 x64: http://www.filedropper.com/wpsupporttool-amd64

I don't know what to say about the "Not a valid win32 executeable" unless you are using the x64 version on a 32 bit machine.
The Following 2 Users Say Thank You to hx4700 Killer For This Useful Post: [ View ] Gift hx4700 Killer Ad-Free
19th October 2011, 07:13 PM |#643  
petbede's Avatar
Senior Member
Flag Everywhere
Thanks Meter: 1,923
 
Donate to Me
More
Quote:
Originally Posted by hx4700 Killer

Shhh

Zune 4.7 x64: http://www.filedropper.com/zunesetuppkg
Support Tools 4.7 x64: http://www.filedropper.com/wpsupporttool-amd64

I don't know what to say about the "Not a valid win32 executeable" unless you are using the x64 version on a 32 bit machine.

Hi there,

Just u should know that that is not the case, cause I am using 32 bit and get the same message on both v1.6 and v1.9 but v1.4 works fine. So as at now I am on v1.4.

There is a say "If It Is Not Broke Then Don't Fix It". v1.4 is working for me the way I want to, so I ain't taking any chances to try something else while it's not broken

Hope I Have Been Of Help. PEACE!!!
The Following User Says Thank You to petbede For This Useful Post: [ View ] Gift petbede Ad-Free
19th October 2011, 10:08 PM |#644  
Member
Thanks Meter: 8
 
Donate to Me
More
Thanks for all the responses guys

I have now managed to get the tools to run without the "not valid error" (all Bback up tool versions) which means I have now been able to set the relevant paths

Using Zune 4.8 & WPUpdate 4.8

I am still getting

System.IO.FileNotFoundException: Could not load file or assembly 'Interop.WM7UpdateLib, Version=4.8.0.0, Culture=neutral, PublicKeyToken=null' or one of its dependencies. The system cannot find the file specified.File name: 'Interop.WM7UpdateLib, Version=4.8.0.0, Culture=neutral, PublicKeyToken=null'
at Microsoft.WindowsMobile.DeviceUpdate.DeviceManager .Initialize()
at Microsoft.WindowsMobile.DeviceUpdate.DeviceManager .get_Instance()
at wm7update.Program.Main(String[] args)

WRN: Assembly binding logging is turned OFF.
To enable assembly bind failure logging, set the registry value [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) to 1.
Note: There is some performance penalty associated with assembly bind failure logging.
To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fusion!EnableLog].



Any ideas ?

Thanks again everyone
19th October 2011, 10:22 PM |#645  
hx4700 Killer's Avatar
OP Senior Member
Texas
Thanks Meter: 275
 
More
Quote:
Originally Posted by Flashmaster591

Thanks for all the responses guys

I have now managed to get the tools to run without the "not valid error" (all Bback up tool versions) which means I have now been able to set the relevant paths

Using Zune 4.8 & WPUpdate 4.8

I am still getting

System.IO.FileNotFoundException: Could not load file or assembly 'Interop.WM7UpdateLib, Version=4.8.0.0, Culture=neutral, PublicKeyToken=null' or one of its dependencies. The system cannot find the file specified.File name: 'Interop.WM7UpdateLib, Version=4.8.0.0, Culture=neutral, PublicKeyToken=null'
at Microsoft.WindowsMobile.DeviceUpdate.DeviceManager .Initialize()
at Microsoft.WindowsMobile.DeviceUpdate.DeviceManager .get_Instance()
at wm7update.Program.Main(String[] args)

WRN: Assembly binding logging is turned OFF.
To enable assembly bind failure logging, set the registry value [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) to 1.
Note: There is some performance penalty associated with assembly bind failure logging.
To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fusion!EnableLog].



Any ideas ?

Thanks again everyone


Right click on the zune executeable and get the complete version number from the details tab. Mine says 4.8.2345.0

Now RUN (dont right click) updatewp.exe from a cmd prompt by browsing to c:\program files\zune. Note the version number it states right after launching it:
Mine says "UpdateWP version 4.7.1404"

If the two executeables numbers don't match each other (not my numbers) then you will get errors. I removed the version checking in the code that stopped giving people errors because it caused more problems than it stopped.
The Following User Says Thank You to hx4700 Killer For This Useful Post: [ View ] Gift hx4700 Killer Ad-Free
20th October 2011, 06:35 AM |#646  
Senior Member
Thanks Meter: 2
 
More
I can't get this to work with the latest version of zune and v1.9.
What files do I need to replace to get full backup?
Can someone upload them?
I have a 64bit version of Win7

Thank you
20th October 2011, 12:29 PM |#647  
Member
Thanks Meter: 8
 
Donate to Me
More
Talking Thanks
GUYS

A BIG THANKS TO

hx4700 Killer
derausgewanderte
petbede

for responding to my problem and trying to help

I have now got the BU tool to work.

I am always amazed at the time and effort people put in to helping others with less knowledge and it makes this forum great

FYI

Not sure why I was getting the "not valid error" as I never had in the past - I did a system restore (noobish I know) to before the time I stared getting the error and that fixed it.

The other error was fixed by matching up the updatewe.exe & zune versions and poinitng the BU tool to the scorrect locations.

Thanks again - your help is most apprecited
20th October 2011, 02:01 PM |#648  
petbede's Avatar
Senior Member
Flag Everywhere
Thanks Meter: 1,923
 
Donate to Me
More
Quote:
Originally Posted by Flashmaster591

GUYS

A BIG THANKS TO

hx4700 Killer
derausgewanderte
petbede

for responding to my problem and trying to help

I have now got the BU tool to work.

I am always amazed at the time and effort people put in to helping others with less knowledge and it makes this forum great

FYI

Not sure why I was getting the "not valid error" as I never had in the past - I did a system restore (noobish I know) to before the time I stared getting the error and that fixed it.

The other error was fixed by matching up the updatewe.exe & zune versions and poinitng the BU tool to the scorrect locations.

Thanks again - your help is most apprecited

Hi there,

Glad I Could Be Of Help. PEACE!!!
20th October 2011, 05:50 PM |#649  
hx4700 Killer's Avatar
OP Senior Member
Texas
Thanks Meter: 275
 
More
Quote:
Originally Posted by mankie

I can't get this to work with the latest version of zune and v1.9.
What files do I need to replace to get full backup?
Can someone upload them?
I have a 64bit version of Win7

Thank you

3 or 4 posts up from yours:

http://forum.xda-developers.com/show...&postcount=642
20th October 2011, 05:52 PM |#650  
hx4700 Killer's Avatar
OP Senior Member
Texas
Thanks Meter: 275
 
More
On the "not a valid win32" blah...

I need to try something. I am wondering if folks with a 32 bit OS are installing the 64 bit phone tools and the test for what version that is (launching updatewp.exe) is in fact what is throwing that error and causing this problem....
20th October 2011, 06:13 PM |#651  
Member
Thanks Meter: 8
 
Donate to Me
More
Quote:
Originally Posted by hx4700 Killer

On the "not a valid win32" blah...

I need to try something. I am wondering if folks with a 32 bit OS are installing the 64 bit phone tools and the test for what version that is (launching updatewp.exe) is in fact what is throwing that error and causing this problem....

In my case I am 100% certain I was using the right version (ie X64) I even had the tools working very well before I upgraded to Mango and Zune 4.8 however in my desperation to get the back up tool working again I think I did something pretty stupid.

Although as I tried so many things I couldn’t be certain what I did is what caused my "not valid" error.

Anyway I told the BU tool that the 4.7 Wmdu was the Update.exe and since I did that I couldn’t get any tool to run (not valid error)
After a system restore to before that point it was ok

As I say I am not 100% certain this is what caused my errors but I am certain I was using X64 bit everything

Hope this helps
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes